Table of Contents

 XLabel 1.2

Copyright © 1993-94 by Mark Hanson

ALL RIGHTS RESERVED.

What is XLabel?

Installation

Legal Stuff

Registration

Support

Properties

Events

What's New?


What is XLabel?

XLabel is an extended label control for use with Microsoft Visual Basic for Windows version 2.0 or higher.

XLabel supports most of the features of the standard Label control with the following enhancements:

 	Rotated TrueType fonts at any angle

 	Shadowed text for 3-D effects

 	Both horizontal and vertical alignment

 	Bitmap pictures with multiple styles


Installation

You should have received the following files:

XLABEL.VBX	Visual Basic custom control file

XLABEL.HLP	This help file

README.TXT	Installation notes and documentation changes

DEMO.MAK	Visual Basic project file for the demo program

DEMO.FRM	Visual Basic form file for the demo program

DEMO.FRX	Binary data for the above form file

DEMO.EXE	Executable demo program

Just copy the files together to any directory.  You may also want to copy XLABEL.VBX to your WINDOWS\SYSTEM directory.

XLabel will look for this help file in the directory that the .VBX was loaded from.


Legal Stuff

License

XLabel is not public domain or free software.

You are granted a license to use the shareware version of XLabel for an evaluation period of 30 days.  After 30 days, registration is required.  The shareware version of XLabel may be duplicated and distributed for the purpose of evaluation only.  No fee may be charged for distributing the shareware version (other than an administrative fee not exceeding $5).

Disclaimer

This software and documentation are supplied "AS IS".  The author makes no warranty of any kind, either express or implied, with respect to this software and accompanying documentation.

In no event shall the author of this software be liable for any damages arising out of the use of this product.  Your use of this  software indicates that you have read and agreed to these terms.

Acknowledgements

Microsoft is a registered trademark of Microsoft Corporation.

Visual Basic, TrueType, and Windows are trademarks of Microsoft Corporation.


Registration

To register XLabel, you may print out and complete the order form. If you cannot print the order form, just write the equivalent information out by hand.  Send the order information, along with a check or money order for $15 in US funds to:

Mark Hanson

PO Box 10154

Rochester, NY 14610-0154

USA

Please make the check or money order payable to Mark Hanson.

Upon registering the product, you will receive the latest version on diskette.  You will also receive a special license file that will automatically register any future versions of XLabel.

Compuserve members may register on-line by typing "GO SWREG" and selecting ID 1720.  If you register on-line, you will receive XLabel by Compuserve E-Mail and the registration price will be billed to your Compuserve account.


Support

There are many methods of obtaining support for XLabel:

E-Mail me on Compuserve at 72773,71

Send FidoNet netmail to Mark Hanson at 1:2613/119

Leave a message to Mark Hanson on the support BBS:

1 X. I. S.

Rochester, NY USA

(716) 671-7745

12-14.4K v32

Contact me at the address indicated in Registration

Your comments and questions about XLabel are strongly encouraged!


Properties

Properties specific to XLabel are marked with an asterisk.

Other standard properties are documented in the Visual Basic help files.

*AlignmentH	FontBold	Parent

*AlignmentV	FontItalic	*Picture

*Angle	FontName	*PictureStyle

BackColor	FontSize	*ShadowColor

BackStyle	FontStrikeThru	*Shadowed

BorderStyle	FontUnderline	*ShadowSize

Caption	ForeColor	*ShadowStyle

DataField	*FormatAtAngle	Tag

DataSource	Height	Top

DataChanged	Index	Visible

DragIcon	Left	Width

DragMode	MousePointer	WordWrap

Enabled	Name


Events

XLabel supports the following standard events.

These events are documented in the Visual Basic help files.

Change   	DragOver

Click    	MouseDown

DblClick 	MouseMove

DragDrop 	MouseUp


AlignmentH Property

Description

Determines the horizontal text alignment of the label contents.

Usage

[form.]control.AlignmentH[ = numericexpression]

Setting	Description

0 - Left	(Default) Text aligns to the left.

1 - Center	Text aligns to the center.

2 - Right	Text aligns to the right.

Remarks

This property only takes effect when Angle is 0, 90, 180, or 270 and a TrueType font is in use. If the angle is 90, 180, or 270 then FormatAtAngle must be set to True.

Data Type

Integer (Enumerated)


AlignmentV Property

Description

Determines the vertical text alignment of the label contents.

Usage

[form.]control.AlignmentV[ = numericexpression]

Setting	Description

0 - Top	(Default) Text aligns to the top.

1 - Center	Text aligns to the center.

2 - Bottom	Text aligns to the bottom.

Remarks

This property only takes effect when Angle is 0, 90, 180, or 270 and a TrueType font is in use. If the angle is 90, 180, or 270 then FormatAtAngle must be set to True.

Data Type

Integer (Enumerated)


Angle Property

Description

Determines the rotation of the label contents.

Usage

[form.]control.Angle[ = numericexpression]

Remarks

The angle is measured in degrees, and should fall between 0 and 359. This property only takes effect when a TrueType font is in use.

Data Type

Integer


FormatAtAngle Property

Description

Determines whether text is horizontally and/or vertically aligned when Angle is set to 90, 180, or 270 degrees.

Usage

[form.]control.FormatAtAngle[ = True/False]

Remarks

This property is provided for backward compatibility with previous versions of XLabel.  If set to False, text will always be centered when displayed at an angle.

Data Type

Integer (Boolean)


Picture Property

Description

Determines a graphic to be displayed behind the label caption.

Usage

[form.]control.Picture[ = picture]

Remarks

This property behaves just like the standard Visual Basic Picture property.  However, only Windows bitmap (.BMP) files are supported at this time.  See the description of PictureStyle for options on how to display the graphic.

Data Type

Picture


PictureStyle Property

Description

Determines how to display the graphic represented by the Picture property.

Usage

[form.]control.PictureStyle[ = numericexpression]

Setting	Description

0 - Normal	(Default) Graphic is displayed in the upper-left corner.

1 - Centered	Graphic is centered in the label.

2 - Stretched	Graphic is stretched to fit the label.

3 - Tiled	Graphic is replicated to fill the label.

Remarks

Obviously, this property only takes effect when Picture refers to a valid bitmap.

Data Type

Integer (Enumerated)


ShadowColor Property

Description

Determines the color to shadow text with.

Usage

[form.]control.ShadowColor[ = color]

Remarks

This property is set just like any other Visual Basic color property.  It takes effect when Shadowed is set to True.  In general, darker foreground colors look best with a lighter ShadowColor and lighter foreground colors look best with a darker ShadowColor.

Data Type

Long


Shadowed Property

Description

Determines whether text is drawn with a shadowed effect.

Usage

[form.]control.Shadowed[ = True/False]

Remarks

When this property is set to True, text is drawn with a shadowed effect in the color specified by ShadowColor. The effect looks best with bold, large font sizes.

Data Type

Integer (Boolean)


ShadowSize Property

Description

Determines the size of the shadow in shadowed text.

Usage

[form.]control.ShadowSize[ = numericexpression]

Remarks

The shadow size is specified in pixels, and should fall between 0 and 30.

This property only takes effect when text is shadowed.

Data Type

Integer


ShadowStyle Property

Description

Determines if the shadow in shadowed text is placed to the left or right of the text.

Usage

[form.]control.ShadowStyle[ = numericexpression]

Setting	Description

0 - Left	(Default) Shadow appears to the left of text.

1 - Right	Shadow appears to the right of text.

Remarks

This property only takes effect when text is shadowed.

Data Type

Integer (Enumerated)


What's New?

XLabel 1.2 - March 28, 1994

 	Shadowed text is now supported at any angle.

 	Added support for control over the shadow size with the ShadowSize property.

 	Added support for control over the shadow position with the ShadowStyle property.

XLabel 1.1 - March 12, 1994

 	Added support for backgound graphics with the Picture and PictureStyle properties.

 	Added ability to align text at right angles with the FormatAtAngle property.

XLabel 1.0 - November 7, 1993

 	Initial release.


Order Form
XLabel Order Form

Select "Print Topic" from the File menu to print this form.

Price:	$15

Remit order to:	Mark Hanson

PO Box 10154

Rochester, NY 14610-0154

USA

Send product to:

Name:	________________________________________

Address:	________________________________________

________________________________________

________________________________________

________________________________________

Payments from outside of the United States must be in one of these forms:

- US currency

- An American Express money order payable in US currency

- An international postal money order payable in US currency

- A check drawn on a US bank payable in US currency